unit fSplash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Gauges;

type
  TfrmSplash = class(TForm)
    Gauge1: TGauge;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  public
    procedure DrawBackImage(fn: string);
  end;

var
  frmSplash: TfrmSplash;

implementation

{$R *.dfm}

procedure TfrmSplash.FormCreate(Sender: TObject);
begin
  BorderStyle := bsNone;
  FormStyle := fsStayOnTop;
  Position := poScreenCenter;
  Gauge1.Top := ClientHeight - Gauge1.Height - 10;
  Show();
  Update();
end;

procedure TfrmSplash.FormPaint(Sender: TObject);
begin
  DrawBackImage('C:\TEST.BMP');
end;

procedure TfrmSplash.DrawBackImage(fn: string);
var
	b: TBitmap;
begin
  if FileExists(fn) then
  begin
  	b := TBitmap.Create;
    try
    	b.LoadFromFile(fn);
      Canvas.Lock;
      try
	      Canvas.StretchDraw(ClientRect,b);
      finally
      	Canvas.Unlock;
      end;
    finally
    	FreeAndNil(b);
    end;
  end;
end;

end.
